// include file for netblues.pov
// by Marty Rabens (mrabens@herbie.unl.edu)
// Copyrights, lefts, and centers:
//     If you find something useful in here, go ahead and use it/derive from
//     it in your own stuff.  Just give me credit and include my eMail
//     address if you do.

#declare H_Eye_Box = box {
  <0, 0, 0>, <1, 1, 1>
  rotate x*45
  scale <1, 0.7, 1>
  rotate x*35
  translate <0.1, 0.16, 0.7>
}

#declare H_Head = difference {
  sphere {<0, 0, 0>, 1}
  object {H_Eye_Box}
  object {H_Eye_Box  scale <-1, 1, 1>}
  bounded_by {sphere {<0, 0, 0>, 1.01}}
  scale <0.25, 0.3, 0.25>
  translate y*0.5
}

#declare H_Torso = union {
  cone {
    <0, 0, 0>, 0.35, <0, 0.9, 0>, 0.5
    scale <1, 1, 0.6>
  }
  sphere {
    <0, 0, 0>, .55
    scale <1, .8, .6>
    translate y*0.75
  }
  sphere {<-0.52, 0.9, 0>, 0.23}
  sphere {<0.52, 0.9, 0>, 0.23}
}

#declare H_Hips = sphere {
  <0, -0.25, 0>, 0.45
  scale <1, 0.8, 0.8>
}

#declare H_Body = union {
  object {H_Torso}
  object {H_Hips}
}

#declare H_Uparm = union {
  sphere {
    <0, 0, 0>, 1
    scale <0.18, 0.4, 0.18>
    translate y*(-0.3)
  }
  sphere {<0, -0.65, 0>, 0.14}
}

#declare H_Forearm = object {
  H_Uparm
  scale 0.9
}

#declare H_Hand = sphere {
  <0, 0, 0>, 1
  scale <0.1, 0.25, 0.15>
  translate y*(-0.2)
}

#declare H_Thigh = union {
  sphere {
    <0, 0, 0>, 1
    scale <0.2, 0.55, 0.25>
    translate y*(-0.45)
  }
  sphere {<0, -1, 0>, 0.16}
}

#declare H_Calf = object {
  H_Thigh
  scale 0.8
}

#declare H_Foot = sphere {
  <0, 0, 0>, 1
  scale <0.12, 0.11, 0.35>
  translate z*0.2
}
